VULKAN_HPP_NAMESPACE::DescriptorSetLayout Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | DescriptorSetLayout ()
VULKAN_HPP_CONSTEXPR | DescriptorSetLayout (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | DescriptorSetLayout (VkDescriptorSetLayout descriptorSetLayout)
DescriptorSetLayout & | operator= (std::nullptr_t)
bool | operator== (DescriptorSetLayout const &rhs) const
bool | operator!= (DescriptorSetLayout const &rhs) const
bool | operator< (DescriptorSetLayout const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkDescriptorSetLayout () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkDescriptorSetLayout | m_descriptorSetLayout

## Detailed Description

Definition at line 3681 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorSetLayout() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DescriptorSetLayout::DescriptorSetLayout | ( |  | ) |

inline

Definition at line 3684 of file vulkan.hpp.

: m_descriptorSetLayout(VK_NULL_HANDLE)
{}

## DescriptorSetLayout() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DescriptorSetLayout::DescriptorSetLayout | ( | std::nullptr_t |  | ) |

inline

Definition at line 3688 of file vulkan.hpp.

: m_descriptorSetLayout(VK_NULL_HANDLE)
{}

## DescriptorSetLayout() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DescriptorSetLayout::DescriptorSetLayout | ( | VkDescriptorSetLayout | descriptorSetLayout | ) |

inline

Definition at line 3692 of file vulkan.hpp.

: m_descriptorSetLayout( descriptorSetLayout )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::DescriptorSetLayout::operator bool | ( |  | ) | const

inline explicit

Definition at line 3732 of file vulkan.hpp.

{
return m_descriptorSetLayout != VK_NULL_HANDLE;
}

References m_descriptorSetLayout, and VK_NULL_HANDLE.

## operator VkDescriptorSetLayout()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DescriptorSetLayout::operator VkDescriptorSetLayout | ( |  | ) | const

inline

Definition at line 3727 of file vulkan.hpp.

{
return m_descriptorSetLayout;
}

References m_descriptorSetLayout.

## operator!()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayout::operator! | ( |  | ) | const

inline

Definition at line 3737 of file vulkan.hpp.

{
return m_descriptorSetLayout == VK_NULL_HANDLE;
}

References m_descriptorSetLayout, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayout::operator!= | ( | DescriptorSetLayout const & | rhs | ) | const

inline

Definition at line 3715 of file vulkan.hpp.

{
return m_descriptorSetLayout != rhs.m_descriptorSetLayout;
}

References m_descriptorSetLayout.

## operator<()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayout::operator< | ( | DescriptorSetLayout const & | rhs | ) | const

inline

Definition at line 3720 of file vulkan.hpp.

{
return m_descriptorSetLayout < rhs.m_descriptorSetLayout;
}

References m_descriptorSetLayout.

## operator=()

DescriptorSetLayout& VULKAN_HPP_NAMESPACE::DescriptorSetLayout::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3704 of file vulkan.hpp.

{
m_descriptorSetLayout = VK_NULL_HANDLE;
return *this;
}

References m_descriptorSetLayout, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayout::operator== | ( | DescriptorSetLayout const & | rhs | ) | const

inline

Definition at line 3710 of file vulkan.hpp.

{
return m_descriptorSetLayout == rhs.m_descriptorSetLayout;
}

References m_descriptorSetLayout.

## Field Documentation

## m_descriptorSetLayout

VkDescriptorSetLayout VULKAN_HPP_NAMESPACE::DescriptorSetLayout::m_descriptorSetLayout

private

Definition at line 3743 of file vulkan.hpp.

Referenced by operator bool(), operator VkDescriptorSetLayout(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::DescriptorSetLayout::m_descriptorSetLayout
VkDescriptorSetLayout m_descriptorSetLayout
Definition: vulkan.hpp:3743